package com.unipi.talepis.iatriki20231;

import java.sql.*;

public class Main {
    public static void main(String[] args) {
        //createTableAndData();
        //selectAll();
        System.out.println(login("Maria","1111"));
    }

    private static void selectAll(){
        try {
            Connection connection = connect();
            String selectSQL = "Select * from Patient";
            Statement statement = connection.createStatement();
            ResultSet resultSet = statement.executeQuery(selectSQL);
            while (resultSet.next()){
                System.out.println(resultSet.getString("Patient_Name"));
                System.out.println(resultSet.getString("Password")+"\n");
            }
            statement.close();
            connection.close();
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }

    private static void createTableAndData(){
        try {
            Connection connection = connect();
            String createTable = "Create Table Patient" +
                    "(Id Integer not null primary key," +
                    "Patient_Name Varchar(30)," +
                    "Password Varchar(30))";
            Statement statement = connection.createStatement();
            //statement.execute(createTable);
            String insertPatient = "Insert into Patient Values(2,'Maria','1111')";
            statement.executeUpdate(insertPatient);
            statement.close();
            connection.close();
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }
    private static boolean login(String patientName,String password){
        try {
            Connection connection = connect();
            String selectSQL = "Select * from Patient " +
                    "Where Patient_Name=? And Password=?";
            PreparedStatement preparedStatement = connect().prepareStatement(selectSQL);
            preparedStatement.setString(1,patientName);
            preparedStatement.setString(2,password);
            ResultSet resultSet = preparedStatement.executeQuery();
            if(resultSet.next()){
                preparedStatement.close();
                connection.close();
                return true;
            }else {
                preparedStatement.close();
                connection.close();
                return false;
            }
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }
    private static Connection connect(){
        String connectionString = "jdbc:derby:iatriki1;create=true";
        try {
            Connection connection = DriverManager.getConnection(connectionString);
            return connection;
        } catch (SQLException e) {
            System.out.println(e.getMessage());
        }
        return null;
    }
}